Loading...
Searching...
No Matches
DSConverter< DenseType, TreeType > Struct Template Reference

`#include <openvdb/tools/DenseSparseTools.h>`

## Public Types

using | ValueType = typename DenseType::ValueType
using | Type = typename TreeType::template ValueConverter< ValueType >::Type

## Detailed Description

template<typename DenseType, typename TreeType>
struct openvdb::v11_0::tools::DSConverter< DenseType, TreeType >

This struct that aids template resolution of a new tree type has the same configuration at TreeType, but the ValueType from DenseType.

## Member Typedef Documentation

## Type

template<typename DenseType , typename TreeType >

using Type = typename TreeType::template ValueConverter<ValueType>::Type

## ValueType

template<typename DenseType , typename TreeType >

using ValueType = typename DenseType::ValueType